<?xml version="1.0" encoding="UTF-8" standalone="no" ?>
<PMML version="4.2" xmlns="http://www.dmg.org/PMML-4_2" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
  <Header copyright="(C) Copyright IBM Corp. 1994, 2019">
    <Application name="IBM SPSS Modeler" version="18.2"/>
</Header>
  <DataDictionary numberOfFields="4">
    <DataField dataType="double" name="petal_length" optype="continuous">
      <Extension extender="spss" name="storageType" value="numeric"/>
</DataField>
    <DataField dataType="double" name="sepal_width" optype="continuous">
      <Extension extender="spss" name="storageType" value="numeric"/>
</DataField>
    <DataField dataType="double" name="petal_width" optype="continuous">
      <Extension extender="spss" name="storageType" value="numeric"/>
</DataField>
    <DataField dataType="string" name="class" optype="categorical">
      <Extension extender="spss" name="storageType" value="string"/>
      <Value property="valid" value="Iris-setosa"/>
      <Value property="valid" value="Iris-versicolor"/>
      <Value property="valid" value="Iris-virginica"/>
</DataField>
</DataDictionary>
  <RuleSetModel algorithmName="RuleSet" functionName="classification" modelName="class">
    <MiningSchema>
      <MiningField importance="0.550715" name="petal_length" usageType="active"/>
      <MiningField importance="0.15296" name="sepal_width" usageType="active"/>
      <MiningField importance="0.296324" name="petal_width" usageType="active"/>
      <MiningField name="class" usageType="predicted"/>
</MiningSchema>
    <RuleSet defaultConfidence="0.5" defaultScore="Iris-setosa" recordCount="84.0">
      <RuleSelectionMethod criterion="weightedSum"/>
      <SimpleRule confidence="0.9655172413793104" id="0" nbCorrect="27.0" recordCount="27" score="Iris-setosa" weight="0.9655172413793104">
        <SimplePredicate field="petal_length" operator="lessOrEqual" value="2.59999999"/>
</SimpleRule>
      <SimpleRule confidence="0.9" id="1" nbCorrect="17.0" recordCount="18" score="Iris-versicolor" weight="0.9">
        <CompoundPredicate booleanOperator="and">
          <SimplePredicate field="petal_length" operator="lessOrEqual" value="4.75"/>
          <SimplePredicate field="petal_length" operator="greaterThan" value="2.59999999"/>
</CompoundPredicate>
</SimpleRule>
      <SimpleRule confidence="0.8571428571428571" id="2" nbCorrect="5.0" recordCount="5" score="Iris-versicolor" weight="0.8571428571428571">
        <CompoundPredicate booleanOperator="and">
          <SimplePredicate field="sepal_width" operator="greaterThan" value="3.05"/>
          <SimplePredicate field="petal_width" operator="lessOrEqual" value="1.85"/>
          <SimplePredicate field="petal_length" operator="greaterThan" value="2.59999999"/>
</CompoundPredicate>
</SimpleRule>
      <SimpleRule confidence="0.9411764705882353" id="3" nbCorrect="15.0" recordCount="15" score="Iris-virginica" weight="0.9411764705882353">
        <SimplePredicate field="petal_width" operator="greaterThan" value="1.85"/>
</SimpleRule>
      <SimpleRule confidence="0.9047619047619048" id="4" nbCorrect="18.0" recordCount="19" score="Iris-virginica" weight="0.9047619047619048">
        <CompoundPredicate booleanOperator="and">
          <SimplePredicate field="sepal_width" operator="lessOrEqual" value="3.05"/>
          <SimplePredicate field="petal_length" operator="greaterThan" value="4.75"/>
</CompoundPredicate>
</SimpleRule>
</RuleSet>
</RuleSetModel>
</PMML>
